# Gearman Admin Tool

Run Administrative commands against a server.

## SYNOPSIS

--help

  Provice help about the program.

--create-function

  Create a function from the server.

-h [ --host ] arg (=localhost)i

  Connect to the host

-p [ --port ] arg (=4730)

  Port number or service to use for connection

--drop-function

  Drop a function from the server.

--server-version

  Fetch the version number for the server.

--server-verbose

  Fetch the verbose setting for the server.

--status

  Status for the server.

--workers

  Workers for the server.

--cancel-job

  Remove a given job from the server's queue.

--show-unique-jobs

  Show unique IDs of jobs on the server.

--show-jobs

  Show all jobs on the server.

--getpid

  Get Process ID for the server.

--priority-status

  Queued jobs status by priority.

-S [ --ssl ]

  Enable SSL connections.

## DESCRIPTION

Command line tool for manipulating gearmand servers.

## HOME

To find out more information please check: http://gearman.info/

## SEE ALSO

gearmand(8) libgearman(3)